View Issue Details

IDProjectCategoryView StatusLast Update
0020142mantisbtperformancepublic2016-08-26 01:04
ReportercproensaAssigned Tocommunity 
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
Product Version 
Target Version1.3.0-rc.2Fixed in Version1.3.0-rc.2 
Summary0020142: performance loading bug view with many attachments
Description

The same issue reported here:
0018016: Decreasing performance when loading bug view with many notes
Happens with attachment "edit" link tokens

print_api.php
function print_bug_attachment_header

A new token is created for each attachment link showed.
To apply same solution, only one token is needed for all links, however, api functions dont allow passing the token through the call tree.

TagsNo tags attached.

Relationships

related to 0018016 closedcproensa Decreasing performance when loading bug view with many notes 

Activities

Related Changesets

MantisBT: master 90c17a52

2016-02-19 07:09:43

Tamás Gulácsi


Committer: dregad Details Diff
Don't generate separate delete token for each attachment

Added optional $p_security_token param to form_security_param() in
form_api.php, just as with form_security_field(), to allow passing only
the security token, and not the pregenerated form_security_param()
string (suggested by @cproensa).

Fixes 0020142

Signed-off-by: Damien Regad <dregad@mantisbt.org>
mod - core/form_api.php Diff File
mod - core/print_api.php Diff File

MantisBT: master 9e532d6b

2016-03-06 17:45:18

cproensa


Committer: dregad Details Diff
Dont use serialization for Session variables

There is no need to serialize data inserted in $_SESSION, as php does it
at the end of script

This is a performance hit when a session key is used multiple times (eg:
'form_security_tokens')

Additionally, we use a new identifier for the session key (by adding a
version number to it). Since we changed the format of the stored data,
this will ignore older session data to avoid errors for users having
active sessions during the transition.

Fixes 0020142, 0018016

Signed-off-by: Damien Regad <dregad@mantisbt.org>

Squashed original commits and reworded commit message
mod - core/session_api.php Diff File

MantisBT: master-1.3.x f160663f

2016-08-14 18:25:05

cproensa


Committer: vboctor Details Diff
Revert multiple tokens for attachement delete links

Revert the logic introduced by fix for Issue 0020142, in which one single
form security token is used for all action links.
The side effect is that only one of those actions can be performed from
the specific originating page.
This is especially a drawback when the actions are links that can be open
in new browsers tabs.

Reverting to separate tokens allows to perform all the actions without
having to reload the originating page.

Note, the original performance issue was solved at the session layer
with 8092c3d.

Fixes: 0021610
mod - core/print_api.php Diff File

Issue History

Date Modified Username Field Change
2015-09-27 14:15 cproensa New Issue
2015-09-28 05:39 atrol Relationship added related to 0018016
2016-02-19 18:51 dregad Note Added: 0052530
2016-03-07 05:27 dregad Changeset attached => MantisBT master 90c17a52
2016-03-07 05:27 dregad Assigned To => dregad
2016-03-07 05:27 dregad Status new => resolved
2016-03-07 05:27 dregad Resolution open => fixed
2016-03-07 05:27 dregad Fixed in Version => 1.3.0-rc.2
2016-03-07 05:31 dregad Target Version => 1.3.0-rc.2
2016-03-21 06:31 gthomas Issue cloned: 0020725
2016-05-14 12:45 dregad Changeset attached => MantisBT master 9e532d6b
2016-05-14 12:47 dregad Assigned To dregad => cproensa
2016-05-14 12:49 dregad Assigned To cproensa => community
2016-06-12 00:42 vboctor Status resolved => closed
2016-08-26 01:04 vboctor Changeset attached => MantisBT master-1.3.x f160663f